<?xml version='1.0' encoding='utf-8'?>

<creole>
    <files>
        <file name="/etc/synchro_aaf.conf" filelist="aaf_synchronize"/>
    </files>
    <variables>
        <family name="Synchronisation AAF" icon='download'>
            <variable name="aaf_synchronize" description="Les comptes sont synchronisés via AAF sur le DC principal" type="oui/non" mandatory="True">
                <value>non</value>
            </variable>
            <variable name="aaf_quota_student" description="Quota des élèves lors" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_student" description="Quota a ne pas dépasser des élèves" type="number" mandatory="True"/>
            <variable name="aaf_quota_teacher" description="Quota des enseignants" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_teacher" description="Quota a ne pas dépasser des enseignants" type="number" mandatory="True"/>
            <variable name="aaf_quota_administrative" description="Quota des administratifs" type="number" mandatory="True"/>
            <variable name="aaf_quota_hard_administrative" description="Quota a ne pas dépasser des administratifs" type="number" mandatory="True"/>
        </family>
        <separators>
            <separator name='aaf_quota_student'>Affectation des quotas</separator>
        </separators>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='aaf_synchronize'>
            <param>non</param>
            <target type='variable'>aaf_quota_student</target>
            <target type='variable'>aaf_quota_hard_student</target>
            <target type='variable'>aaf_quota_teacher</target>
            <target type='variable'>aaf_quota_hard_teacher</target>
            <target type='variable'>aaf_quota_administrative</target>
            <target type='variable'>aaf_quota_hard_administrative</target>
            <target type='filelist'>aaf_synchronize</target>
        </condition>
    </constraints>
</creole>
